DROP SCHEMA IF EXISTS marcela;
CREATE SCHEMA IF NOT EXISTS marcela;

CREATE TABLE marcela.usuario(
    id INT PRIMARY KEY AUTO_INCREMENT,
    user VARCHAR(100)  NOT NULL,
    email VARCHAR(100) NOT NULL UNIQUE,
    senha VARCHAR(100) NOT NULL,
    foto LONGTEXT NOT NULL,
    tipo VARCHAR(100) NOT NULL,
    dados LONGBLOB NOT NULL
);
CREATE TABLE marcela.blog(
    id INT PRIMARY KEY AUTO_INCREMENT,
    autor VARCHAR(100)  NOT NULL,
    titulo VARCHAR(100)  NOT NULL,
    texto VARCHAR(100) NOT NULL,
    email VARCHAR(100) NOT NULL,
    FOREIGN KEY(email) REFERENCES usuario(email)
);
CREATE TABLE marcela.imagem(
    id INT PRIMARY KEY AUTO_INCREMENT,
    nome LONGTEXT  NOT NULL,
    tipo VARCHAR(100) NOT NULL,
    dados LONGBLOB NOT NULL,
    blog_id INT(4) NOT NULL,
    FOREIGN KEY(blog_id) REFERENCES blog(id)
);
